org.apache.poi.hwmf.record

## Enum HwmfPenStyle.HwmfLineJoin

- java.lang.Object
- - java.lang.Enum<HwmfPenStyle.HwmfLineJoin>
  - - org.apache.poi.hwmf.record.HwmfPenStyle.HwmfLineJoin

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HwmfPenStyle.HwmfLineJoin>
  Enclosing class:
    HwmfPenStyle

      public static enum HwmfPenStyle.HwmfLineJoin
      extends java.lang.Enum<HwmfPenStyle.HwmfLineJoin>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BEVEL` Line joins are beveled.
    `MITER` Line joins are mitered when they are within the current limit set by the SETMITERLIMIT META_ESCAPE record.
    `ROUND` Line joins are round.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `awtFlag`
    `int` | `wmfFlag`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HwmfPenStyle.HwmfLineJoin` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HwmfPenStyle.HwmfLineJoin[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ROUND

          public static final HwmfPenStyle.HwmfLineJoin ROUND

      Line joins are round.

    - #### BEVEL

          public static final HwmfPenStyle.HwmfLineJoin BEVEL

      Line joins are beveled.

    - #### MITER

          public static final HwmfPenStyle.HwmfLineJoin MITER

      Line joins are mitered when they are within the current limit set by the SETMITERLIMIT META_ESCAPE record. A join is beveled when it would exceed the limit

  - ### Field Detail

    - #### wmfFlag

          public final int wmfFlag

    - #### awtFlag

          public final int awtFlag

  - ### Method Detail

    - #### values

          public static HwmfPenStyle.HwmfLineJoin[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HwmfPenStyle.HwmfLineJoin c : HwmfPenStyle.HwmfLineJoin.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HwmfPenStyle.HwmfLineJoin valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.